;**************************************************************
;***    EMS5B4.ASM                                          ***
;***                                                        ***
;***    function        EMS_Ems.releaseAltMapRegs40(        ***
;***                        alt_map:        Byte)           ***
;***                        : Boolean;                      ***
;***                                                        ***
;***    Release alt map passed as parameter.                ***
;***                                                        ***
;***    Returns 0 if no error or an error code.             ***
;***                                                        ***
;***                                                        ***
;***                                                        ***
;***    (Ems Version 4.0)                                   ***
;**************************************************************

        .model  large,pascal   

        include emsdefs.asm 

        extrn   errno:WORD  

;
;   Define entry point
;
        public  EMS_Ems@releaseAltMapRegs40

        .code

EMS_Ems@releaseAltMapRegs40 proc altMap:Word, self:DWord

        mov     bx,altMap               ; BL (BX) gets alternate map set

        mov     ax,ReleaseAltMapRegs40  ; Do the EMS call
        int     Ems           

        or      ah,ah                   ; Set flags
        jnz     error

        xor     ax,ax                   ; Return OK
        ret         

error:
        mov     al,ah                   ; AL gets error code
        xor     ah,ah                   ; Zero extend
        mov     errno,ax                ; Save in errno too
        ret

EMS_Ems@releaseAltMapRegs40 endp        ; End of procedure

        end                             ; End of source file
